package org.openjdk.gcbench.alloc.uninit;

import org.openjdk.gcbench.tests.AllocUninit;
import org.openjdk.jmh.annotations.*;

import java.util.concurrent.TimeUnit;

@BenchmarkMode(Mode.AverageTime)
@OutputTimeUnit(TimeUnit.NANOSECONDS)
@State(Scope.Benchmark)
@Fork(jvmArgsPrepend = {"--add-exports", "java.base/jdk.internal.misc=ALL-UNNAMED"})
public class IntArray {

    @Param({"1"})
    int size;

    @Benchmark
    public Object test() {
        return AllocUninit.alloc(size);
    }

}
